import com.baomidou.dynamic.datasource.toolkit.DynamicDataSourceContextHolder;
import com.fjhx.admin.BytesailingApplication;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.victoriatourist.entity.jd.vo.JdInfoVo;
import com.fjhx.victoriatourist.service.jd.constants.RunParamConstant;
import com.fjhx.victoriatourist.service.jd.impl.JdApiServiceImpl;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.utils.SecurityUtils;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;


@RunWith(SpringRunner.class)
@SpringBootTest(classes = BytesailingApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@Slf4j
public class BootTest {

    @Autowired
    private JdApiServiceImpl jdApiServiceImpl;

    @TenantIgnore
    @Test
    public void test1() {
        SecurityUtils.setTenantId(RunParamConstant.tenantId);
        DynamicDataSourceContextHolder.push(SourceConstant.VICTORIATOURIST);

        jdApiServiceImpl.startJdOrder(new JdInfoVo());

        SecurityUtils.clearTenantId();
        DynamicDataSourceContextHolder.poll();
    }

}
